/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.Partition;
import net.northking.cctp.common.db.entity.Entity;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 用例集目录表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2023-08-26 14:52:39  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "用例集目录表")
public class AtuCaseDataSet extends Partition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_setName = "setName";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_scriptId = "scriptId";
  public static final String KEY_path = "path";
  public static final String KEY_leaf = "leaf";
  public static final String KEY_version = "version";
  public static final String KEY_parentId = "parentId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_principalId = "principalId";
  public static final String KEY_scriptType = "scriptType";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 目录名称<br>
   */
  @ApiModelProperty("目录名称")
  @Size(max = 50, message="目录名称-setName: 数据长度不能 > 50" )
  private String setName;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 32, message="系统id-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 脚本id<br>
   */
  @ApiModelProperty("脚本id")
  @Size(max = 32, message="脚本id-scriptId: 数据长度不能 > 32" )
  private String scriptId;
  /**
   * 路径<br>
   */
  @ApiModelProperty("路径")
  @Size(max = 350, message="路径-path: 数据长度不能 > 350" )
  private String path;
  /**
   * 是否叶子节点<br>
   */
  @ApiModelProperty("是否叶子节点")
  private Boolean leaf;

  @ApiModelProperty("版本")
  private String version;
  /**
   * 目录层级<br>
   */
  @ApiModelProperty("目录层级")
  private Integer levelNo;
  /**
   * 目录层级<br>
   */
  @ApiModelProperty("层级排序")
  private Integer idx;
  /**
   * 父节点<br>
   */
  @ApiModelProperty("父节点")
  @Size(max = 32, message="父节点-parentId: 数据长度不能 > 32" )
  private String parentId;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  @ApiModelProperty("负责人id")
  private String principalId;

  @ApiModelProperty("脚本类型")
  private String scriptType;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 目录名称<br>
   */
  public String getSetName()
  {
      return setName;
    }

  /**
   * 目录名称<br>
   *
   * @param setName 目录名称
   */
  public void setSetName(String setName)
  {
      this.setName = setName;
    }
  /**
   * 系统id<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统id<br>
   *
   * @param projectId 系统id
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 脚本id<br>
   */
  public String getScriptId()
  {
      return scriptId;
    }

  /**
   * 脚本id<br>
   *
   * @param scriptId 脚本id
   */
  public void setScriptId(String scriptId)
  {
      this.scriptId = scriptId;
    }
  /**
   * 路径<br>
   */
  public String getPath()
  {
      return path;
    }

  /**
   * 路径<br>
   *
   * @param path 路径
   */
  public void setPath(String path)
  {
      this.path = path;
    }
  /**
   * 是否叶子节点<br>
   */
  public Boolean getLeaf()
  {
      return leaf;
    }

  public String getVersion() {
    return version;
  }

  public void setVersion(String version) {
    this.version = version;
  }

  /**
   * 是否叶子节点<br>
   *
   * @param leaf 是否叶子节点
   */
  public void setLeaf(Boolean leaf)
  {
      this.leaf = leaf;
    }

  public Integer getLevelNo() {
    return levelNo;
  }

  public void setLevelNo(Integer levelNo) {
    this.levelNo = levelNo;
  }

  public Integer getIdx() {
    return idx;
  }

  public void setIdx(Integer idx) {
    this.idx = idx;
  }

  /**
   * 父节点<br>
   */
  public String getParentId()
  {
      return parentId;
    }

  /**
   * 父节点<br>
   *
   * @param parentId 父节点
   */
  public void setParentId(String parentId)
  {
      this.parentId = parentId;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public String getPrincipalId() {
    return principalId;
  }

  public void setPrincipalId(String principalId) {
    this.principalId = principalId;
  }

  public String getScriptType() {
    return scriptType;
  }

  public void setScriptType(String scriptType) {
    this.scriptType = scriptType;
  }

  public AtuCaseDataSet()
  {
  }

}
